package cn.superdesk.uniorder.dao.mapper.operationCenter.accounting;

import cn.superdesk.uniorder.dao.entity.operationCenter.accounting.UnifiedAccountingOrderGoods;
import cn.superdesk.uniorder.dao.entity.operationCenter.accounting.UnifiedAccountingOrderGoodsExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface UnifiedAccountingOrderGoodsMapper {
    long countByExample(UnifiedAccountingOrderGoodsExample example);

    int deleteByExample(UnifiedAccountingOrderGoodsExample example);

    int deleteByPrimaryKey(Long id);

    int insert(UnifiedAccountingOrderGoods record);

    int insertSelective(UnifiedAccountingOrderGoods record);

    List<UnifiedAccountingOrderGoods> selectByExampleWithBLOBs(UnifiedAccountingOrderGoodsExample example);

    List<UnifiedAccountingOrderGoods> selectByExample(UnifiedAccountingOrderGoodsExample example);

    UnifiedAccountingOrderGoods selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") UnifiedAccountingOrderGoods record, @Param("example") UnifiedAccountingOrderGoodsExample example);

    int updateByExampleWithBLOBs(@Param("record") UnifiedAccountingOrderGoods record, @Param("example") UnifiedAccountingOrderGoodsExample example);

    int updateByExample(@Param("record") UnifiedAccountingOrderGoods record, @Param("example") UnifiedAccountingOrderGoodsExample example);

    int updateByPrimaryKeySelective(UnifiedAccountingOrderGoods record);

    int updateByPrimaryKeyWithBLOBs(UnifiedAccountingOrderGoods record);

    int updateByPrimaryKey(UnifiedAccountingOrderGoods record);
}